﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.radioButton1.Text = "남자";
            this.radioButton2.Text = "여자";
        }

        #endregion
        #region 출력 버튼 클릭시 처리하기 - printButton_Click(sender, e)

        /// <summary>
        /// 출력 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void printButton_Click(object sender, EventArgs e)
        {
            if(this.radioButton1.Checked)
            {
                this.displayLabel.Text = "남자";
            }
            else
            {
                this.displayLabel.Text = "여자";
            }
        }

        #endregion
    }
}